Subject: Re: How to use __DYNAMIC_REENT__ correctly in multithreaded applications?
From: "J. Johnston" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 25 Aug 2003 18:02:27 -0400

Corinna Vinschen wrote:
> On Mon, Aug 25, 2003 at 02:25:07PM -0400, J. Johnston wrote:
> 
>>Corinna Vinschen wrote:
>>
>>>Cygwin has a struct __stat64.  We could also define a struct stat64
>>>but this would be contrary to the effort to handle the new structures
>>>transparent.  struct __stat64 is struct stat from the applications
>>>point of view.
>>
>>Where in particular?  I have tried this as well.  Having it defined as 
>>empty is of no help.
>>The compiler needs to know its size and access one of the fields.
>>
>>With struct __stat64 st;
>>
>>/home/jjohnstn/sourceware/src/newlib/libc/stdio64/fseeko64.c: In function 
>>`_fseeko64_r':
>>/home/jjohnstn/sourceware/src/newlib/libc/stdio64/fseeko64.c:112: storage 
>>size of `st' isn't known
> 
> 
> struct __stat64 is guarded by an #ifdef __INSIDE_CYGWIN__.
> 
> You must either #define __INSIDE_CYGWIN__ or
> winsup/cygwin/include/cygwin/stat.h must change to
> 
>   #if defined (__INSIDE_CYGWIN__) || defined (_COMPILING_NEWLIB)
> 
> I guess the latter is the better approach.
> 

I agree.

> Corinna
> 

If you are willing to make the change on the Cygwin side, let me know and I will change the
newlib code.

-- Jeff J.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/